/*******************************************************************************
 * Instance třídy Jazyk představují jednotlivé jazyky
 *
 * @author    Luboš Pavlíček
 * @version   27. 11. 2011
 */
public class Jazyk
{
    //== Datové atributy (statické i instancí)==================================
    private String jazykCesky;
    private String jazykAnglicky;

    /***************************************************************************
     *  Konstruktor 
     */
    public Jazyk(String jazykCesky, String jazykAnglicky) {
        this.jazykCesky = jazykCesky;
        this.jazykAnglicky = jazykAnglicky;
    }

    public String getJazykCesky() {
        return jazykCesky;
    }
    
    public String getJazykAnglicky() {
        return jazykAnglicky;
    }
    
    @Override
    public boolean equals(Object o) {
        if (o instanceof Jazyk) {
            Jazyk druhy = (Jazyk)o;
            return jazykCesky.equals(druhy.jazykCesky);
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return jazykCesky.hashCode();
    }
}
